let intervalId = null;

function cleanElements() {
  // 删除客服界面的品牌名称
  const leftElements = document.getElementsByClassName('left');
  if (leftElements.length > 1) {
    const targetElement = leftElements[1];
    targetElement.innerHTML = ""
  }

  // 删除举报按钮
  const boxElements = document.getElementsByClassName('box');
  if (boxElements.length > 3) {
    boxElements[3].remove();
  }

  // 使用 CSS 选择器批量处理
  [
    '.list_complain',
    '.mp_profile_iframe_wrp',
    '#js_article_bottom_bar',
    '#content_bottom_area',
    '#meta_content'
  ].forEach(selector => {
    document.querySelector(selector)?.remove();
  });
}

// 初始化执行
cleanElements();
// 降低轮询频率并记录 intervalId
intervalId = setInterval(cleanElements, 100);


(function() {
    Object.defineProperty(navigator, 'clipboard', {
        value: {
            read: function() { return Promise.reject(new Error('Clipboard access denied')); },
            write: function() { return Promise.reject(new Error('Clipboard access denied')); }
        },
        configurable: false,
        writable: false
    });
})();